
ChiliProject - Feature # 245: Merge Redmine.pm git smart-http functionality

Status: Closed Priority: Normal
Author: Felix Schäfer Category:
Created: 2011-03-01 Assignee: Felix Schäfer
Updated: 2011-03-22 Due date:
Remote issue URL:
Affected version:
Description: Merge and document the changes from 

https://orga.fachschaften.org/projects/redmine-fsenorg/repository/revisions/fsenorg/changes/extra/svn/Redmin
e.pm (they enable git smart-http with Redmine.pm).

Associated revisions
2011-03-20 06:45 pm - Felix SchÃ¤fer 
Add git-smart-http support to apache perl module #245

Latest patch from http://www.redmine.org/issues/4905 and other changes improvements, compare also with 
https://orga.fachschaften.org/projects/redmine-fsenorg/repository/revisions/fsenorg/changes/extra/svn/Redmine.pm .

History
2011-03-01 09:49 am - Felix Schäfer
Holger, IIRC you reviewed the changes for a finn installation, can you confirm it here for the record? Thanks.

2011-03-01 09:52 am - Holger Just
We currently run an older version of your patch. It works mostly fine. The latest version of your patch was merged into our codebase but is not deployed 
yet. But from me looking at it, it's fine :)

2011-03-01 09:53 am - Felix Schäfer
And while we're at it, can/shall we rename it ChiliProject.pm? That would require everyone using it to change apache configs and such though, so 
maybe only for 2.0?

2011-03-01 10:00 am - Holger Just
We can/should. But we also should provide a compatibility layer, e.g. a file called @Redmine.pm@ which is just loading @ChiliProject.pm@ (or 
whatever convention there is for perl modules...). This could then be removed for 2.0 where we should remove most of the painful compatibility layers 
(or move them into an optional plugin, see #247).

2011-03-01 10:04 am - Felix Schäfer
Holger Just wrote:
> We can/should. But we also should provide a compatibility layer, e.g. a file called @Redmine.pm@ which is just loading @ChiliProject.pm@ (or 
whatever convention there is for perl modulesâ€¦).

Well, the problem is that the package declaration (source:/extra/svn/Redmine.pm#L1) will have to be changed too (the name of the file has no incidence 
at all on the whole apache module thing IIRC), and I don't know if/how to rename/import/wrap/alias a package in another.

Is there a perl-ot on board? (yeah, bad pun dayâ€¦)

2011-03-20 06:06 pm - Felix Schäfer
- Status changed from Open to Closed

Merged in commit:9fe45cfe1f49d9c2e9ba1949c87d6e6889e3a48d, we'll have to see about renaming the module at a later time.

2011-03-21 11:23 pm - Eric Davis
Is this safe for a bug-fix release though (1.2.0)? Redmine.pm has no tests for it and tends to be difficult to debug.

2011-03-22 07:44 am - Felix Schäfer
It doesn't change the current behavior, the git functionality is added and must be enabled to be active. The only real change to the svn functionality is 
the addition of the port to the ldaps address.

Anyway, I'm confident it's safe.
